Bug 1410047 - Enable Elastic Network Adapter (ENA) support for AWS images
Summary: Enable Elastic Network Adapter (ENA) support for AWS images
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ec2-images
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Joey Boggs
QA Contact: Vratislav Hutsky
Jiri Herrmann
URL:
Whiteboard:
Keywords:
Depends On: 1357491
Blocks: 1411874
TreeView+ depends on / blocked
 
Reported: 2017-01-04 10:32 UTC by Vitaly Kuznetsov
Modified: 2017-08-28 12:37 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-28 12:37:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2283 normal SHIPPED_LIVE ec2-images bug fix update 2017-08-28 16:37:10 UTC

Description Vitaly Kuznetsov 2017-01-04 10:32:51 UTC
A while ago Amazon added Elastic Network Adapter (ENA) support to their cloud:

https://aws.amazon.com/blogs/aws/elastic-network-adapter-high-performance-network-interface-for-amazon-ec2/

Now, when guest image has the appropriate kernel driver and the feature is enabled for the image the ENA adapter will be passed to the VM instead of a PV one on the appropriate instance types (x1.*, p2.*,...). The kernel part was done in the following BZ:
https://bugzilla.redhat.com/show_bug.cgi?id=1357491

The driver is ready to be merged to the kernel. The other piece of the puzzle is enabling ENA support for AWS images we produce. I'm not entirely sure about the tooling we use but with awscli it is done by passing '--ena-support' key to 'aws ec2 register-image' command. (please see https://bugzilla.redhat.com/show_bug.cgi?id=1357491#c6).

Comment 4 Lubos Kocman 2017-01-12 12:58:54 UTC
This definitely sounds like cloud-init package. Since I'm not aware of anything that I could pass over to image-build

Also kickstart doesn't do anything with aws directly
http://git.app.eng.bos.redhat.com/git/rcm/kickstarts.git/tree/rhel7/rhel-7.4-server-kvm.ks

Moving to respective/default owner of cloud-init.

Thanks for undestanding

Lubos

Comment 5 Vitaly Kuznetsov 2017-01-12 13:50:54 UTC
(In reply to Lubos Kocman from comment #4)
> 
> Moving to respective/default owner of cloud-init.
> 

Guys, this has nothing to do with cloud-init and the content of the image. Kickstart file is also not related.

When we create AWS images we create metadata for them. In this metadata, for example, we specify billing product. Then the metadata is uploaded to AWS and images are registered. I don't know which tools we use for image registration on AWS but what we need is to change the metadata of our images.

I'm moving back to releng and adding Jay Greguske to the CC: list, I'm not sure that he's in charge but he definitely knows how our AWS images are produced.

Comment 6 Joey Boggs 2017-01-12 14:02:17 UTC
I'll take this as it requires adding the --ena-support option into the rcm-aws tooling when it registers the AMI. There is nothing else needed in RHEL as long as the kernel modules are made available.

Comment 16 errata-xmlrpc 2017-08-28 12:37:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2283


Note You need to log in before you can comment on or make changes to this bug.